### Struct

# Ggit OId

#### Description [src]

    struct GgitOId {
      /* No available fields */
    }

Represents a unique ID of any object.

#### Constructors

###### ggit_oid_new_from_raw

Creates a new `GgitOId` from a raw oid.

###### ggit_oid_new_from_string

Parses a hex formatted object id into a `GgitOId`.

#### Instance methods

###### ggit_oid_compare

Compare two `GgitOId` structures.

###### ggit_oid_copy

Copies `oid` into a newly allocated `GgitOId`.

###### ggit_oid_equal

Compares two `GgitOId` for equality.

###### ggit_oid_free

Frees `oid`.

###### ggit_oid_has_prefix

Check whether the object id has a given prefix. Note that the prefix is specified in hexadecimal ASCII.

###### ggit_oid_hash

Computes a hash value for a git object identifier.

###### ggit_oid_is_zero

Get whether the oid contains only zeros.

###### ggit_oid_to_string

Converts `oid` into a readable string.